Update company contact info
curl --request PUT \
--url https://app.demand-iq.com/api/company/contact \
--header 'Content-Type: application/json' \
--cookie session= \
--data '
{
"phone": "<string>",
"email": "jsmith@example.com",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"licenseNumber": "<string>",
"timezone": "<string>"
}
'import requests
url = "https://app.demand-iq.com/api/company/contact"
payload = {
"phone": "<string>",
"email": "jsmith@example.com",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"licenseNumber": "<string>",
"timezone": "<string>"
}
headers = {
"cookie": "session=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {cookie: 'session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
phone: '<string>',
email: 'jsmith@example.com',
address: '<string>',
city: '<string>',
state: '<string>',
zip: '<string>',
licenseNumber: '<string>',
timezone: '<string>'
})
};
fetch('https://app.demand-iq.com/api/company/contact', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contact": {
"phone": "<string>",
"email": "jsmith@example.com",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"licenseNumber": "<string>",
"timezone": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}Company
Update company contact info
PUT
/
api
/
company
/
contact
Update company contact info
Authorizations
Session cookie obtained from POST /api/auth/login.
Body
application/json
Response
Updated contact
Show child attributes
Show child attributes